Loading...
Searching...
No Matches
Caller id
Public API functions » Port initialisation » Card information » Port control » Event handling » Audio play and record » Error handling » Programmable tone generator » Programmable tone detector » Wav audio support
Collaboration diagram for Caller id:

## Topics

| Caller id decoding
| Caller id generation
| Call logging and monitoring
| Echo cancelling
| Loop voltage sensing
| ISDN support

## Classes

struct | VPB_CID
| Container type for caller id data. More...

## Enumerations

enum | CidCallType { VPB_CID_CT_UNKNOWN = 0x00 , VPB_CID_CT_VOICE = 0x01 , VPB_CID_CT_RBWF = 0x02 , VPB_CID_CT_MW = 0x81 }
| Symbolic CID call types. More...

## Detailed Description

## Enumeration Type Documentation

## CidCallType

enum CidCallType

Symbolic CID call types.

Enumerator
VPB_CID_CT_UNKNOWN | Unknown call type.
VPB_CID_CT_VOICE | Voice Call.
VPB_CID_CT_RBWF | Ring back When free.
VPB_CID_CT_MW | Message waiting.